# Visualization
TKV3d
Visual3d

# Visual3d_HSetOfView Class Reference

`#include <Visual3d_HSetOfView.hxx>`

## Public Member Functions

Standard_EXPORT | Visual3d_HSetOfView ()
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
void | Clear ()
Standard_Boolean | Add (const Handle(Visual3d_View)&T)
Standard_Boolean | Remove (const Handle(Visual3d_View)&T)
Standard_EXPORT Handle_Visual3d_HSetOfView | Union (const Handle(Visual3d_HSetOfView)&B) const
Standard_EXPORT Handle_Visual3d_HSetOfView | Intersection (const Handle(Visual3d_HSetOfView)&B) const
Standard_EXPORT Handle_Visual3d_HSetOfView | Difference (const Handle(Visual3d_HSetOfView)&B) const
Standard_Boolean | Contains (const Handle(Visual3d_View)&T) const
Standard_Boolean | IsASubset (const Handle(Visual3d_HSetOfView)&S) const
Standard_Boolean | IsAProperSubset (const Handle(Visual3d_HSetOfView)&S) const
Standard_EXPORT Handle_Visual3d_HSetOfView | ShallowCopy () const
const Visual3d_SetOfView & | Set () const
Visual3d_SetOfView & | ChangeSet ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Visual3d_SetOfView | mySet

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_HSetOfView::Visual3d_HSetOfView | ( |  | ) |

## Member Function Documentation

Standard_Boolean Visual3d_HSetOfView::Add | ( | const Handle(Visual3d_View)& | T | ) |

Visual3d_SetOfView& Visual3d_HSetOfView::ChangeSet | ( |  | ) |

void Visual3d_HSetOfView::Clear | ( |  | ) |

Standard_Boolean Visual3d_HSetOfView::Contains | ( | const Handle(Visual3d_View)& | T | ) | const

Standard_EXPORT Handle_Visual3d_HSetOfView Visual3d_HSetOfView::Difference | ( | const Handle(Visual3d_HSetOfView)& | B | ) | const

Standard_Integer Visual3d_HSetOfView::Extent | ( |  | ) | const

Standard_EXPORT const Visual3d_HSetOfView::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_Visual3d_HSetOfView Visual3d_HSetOfView::Intersection | ( | const Handle(Visual3d_HSetOfView)& | B | ) | const

Standard_Boolean Visual3d_HSetOfView::IsAProperSubset | ( | const Handle(Visual3d_HSetOfView)& | S | ) | const

Standard_Boolean Visual3d_HSetOfView::IsASubset | ( | const Handle(Visual3d_HSetOfView)& | S | ) | const

Standard_Boolean Visual3d_HSetOfView::IsEmpty | ( |  | ) | const

Standard_Boolean Visual3d_HSetOfView::Remove | ( | const Handle(Visual3d_View)& | T | ) |

const Visual3d_SetOfView& Visual3d_HSetOfView::Set | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_HSetOfView Visual3d_HSetOfView::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_HSetOfView Visual3d_HSetOfView::Union | ( | const Handle(Visual3d_HSetOfView)& | B | ) | const

## Field Documentation

Visual3d_SetOfView Visual3d_HSetOfView::mySet `[private]`

The documentation for this class was generated from the following file:

- Visual3d_HSetOfView.hxx